Skip to content
Developer Tools
Accelerate development using AI assistants and tools

Debit-Status

  • Endpoint: POST /v1.0/debit/status
  • Tags: Indonesia SNAP

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYesContent type, value always application/json
X-TIMESTAMPheaderstringYesTransaction date time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX.
X-SIGNATUREheaderstringYesSignature need to be generated with symmetricSignature or asymmetricSignature method
ORIGINheaderstringNoOrigin domain
X-PARTNER-IDheaderstringYesUnique identifier for partner was generated by Payermax, or known as clientId
X-EXTERNAL-IDheaderstringYesUnique messaging reference identifier generated by merchant and should be unique within the same day
CHANNEL-IDheaderstringYesDevice identification on which the API services is currently being accessed by the end user (customer)
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • X-TIMESTAMP: ""
  • X-SIGNATURE: ""
  • ORIGIN: ""
  • X-PARTNER-ID: ""
  • X-EXTERNAL-ID: ""
  • CHANNEL-ID: ""
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
merchantIdstringYesmaxLength: 32Merchant identifier that is unique per each merchant
originalPartnerReferenceNostringYesmaxLength: 64Original transaction identifier on partner system
serviceCodestringYesmaxLength: 2Transaction type indicator (service code of the original transaction request)
originalReferenceNostringNomaxLength: 64Original transaction identifier on payermax system
originalExternalIdstringNomaxLength: 36Original external identifier on header message
transactionDatestringNomaxLength: 25Transaction date, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX.
amountobjectNo
amount.valuenumberYesTransaction amount
amount.currencystringYesTransaction currency
externalStoreIdstringNomaxLength: 64Store identifier to indicate to which store this payment belongs to
additionalInfoobjectYesAdditional information
additionalInfo.versionstringYesmaxLength: 8API version. Current value: 1.4
additionalInfo.keyVersionstringYesmaxLength: 8Signature Algorithm Version, Current value: 1

Example

json
{
  "originalPartnerReferenceNo": "20240305152406779100017",
  "merchantId": "P05010114269706",
  "originalReferenceNo": "",
  "originalExternalId": "",
  "serviceCode": "17",
  "transactionDate": "2020-12-21T14:56:11+07:00",
  "amount": {
    "value": "100000.00",
    "currency": "IDR"
  },
  "subMerchantId": "",
  "externalStoreId": "",
  "additionalInfo": {
    "version": "1.4",
    "keyVersion": "1"
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
responseCodestringYesmaxLength: 7response code
responseMessagestringYesmaxLength: 150response msg
originalPartnerReferenceNostringYesmaxLength: 64Original transaction identifier on service consumer system
originalReferenceNostringYesmaxLength: 64Original transaction identifier on service Payermax system
transAmountobjectNoTrans amount
transAmount.valuenumberYesTrans amount
transAmount.currencystringYesmaxLength: 3Trans currency
latestTransactionStatusstringYesmaxLength: 2Category code for the status of the transaction. The values include: 00 = Success, the order has been successfully in final state and paid 03 = Pending, the order is in process, not in final state, payment is success 05 = Cancelled, the order has been closed 06 = Failed, the order has been failed
paidTimestringNomaxLength: 25Transaction paid time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX
originalResponseMessagestringNomaxLength: 256Original response message
refundHistoryarray[object]NoRefund orders
refundHistory[].refundNostringYesmaxLength: 64Refund transaction Identifier on Service Provider System
refundHistory[].partnerRefundNostringYesmaxLength: 64Refund transaction identifier on service consumer system
refundHistory[].refundAmountobjectYesNet amount of the refund
refundHistory[].refundAmount.valuenumberYesRefund amount
refundHistory[].refundAmount.currencystringYesmaxLength: 3Refund currency
refundHistory[].refundStatusstringYesmaxLength: 200 - Success 03 - Pending 06 - Failed
refundHistory[].refundDatestringNomaxLength: 25Refund transaction date
refundHistory[].reasonstringNomaxLength: 512Refund reason

Response Example

json
{
  "transAmount": {
    "currency": "IDR",
    "value": 100000
  },
  "originalReferenceNo": "T2024030507930244000069",
  "latestTransactionStatus": "05",
  "originalResponseMessage": "Payment was not completed on time.",
  "originalPartnerReferenceNo": "20240305152406779100017",
  "responseMessage": "Success.",
  "paidTime": "",
  "responseCode": "2005500"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.